#    include file for Duncan's Theory program option

set theorymenulist {}
set theorytasklist {}

lappend tasklist     "swb #"
lappend theorytasklist swb
lappend theorymenulist "Plot Orbitals vs beta_2"

lappend tasklist     "spb #"
lappend theorytasklist spb
lappend theorymenulist "Plot Single-particle Orbitals: E(beta)"

lappend tasklist     "spg #"
lappend theorytasklist spg
lappend theorymenulist "Plot Single-particle Orbitals: E(beta,gamma)"

lappend tasklist     "qpb #"
lappend theorytasklist qpb
lappend theorymenulist "Plot Quasi-particle Orbitals: E(beta)"

lappend tasklist     "qpg #"
lappend theorytasklist qpg
lappend theorymenulist "Plot Quasi-particle Orbitals: E(beta,gamma)"

set theorymenu {}
foreach item $theorymenulist {
   if {$item != ""} then {lappend theorymenu $item}
}

proc click-theory m {
   global theorytasklist theorymenulist
   set task [lindex $theorytasklist [lsearch $theorymenulist $m]]
   inform $task start
}

set ACTION(theory) "THEORY-MENU \{click-theory \$v\}"

set MENU(theory)   "global theorymenu; :menubutton THEORY-MENU  :label \"Cranked Wood-Saxon\" :strings \$theorymenu"
